Resolve brand
curl --request GET \
--url https://agenticadvertising.org/api/brands/resolveimport requests
url = "https://agenticadvertising.org/api/brands/resolve"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://agenticadvertising.org/api/brands/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"canonical_id": "acmecorp.com",
"canonical_domain": "acmecorp.com",
"brand_name": "Acme Corp",
"names": [
{}
],
"parent_brand": "<string>",
"house_domain": "<string>",
"house_name": "<string>",
"brand_agent_url": "<string>",
"brand_manifest": {}
}{
"error": "<string>",
"domain": "<string>",
"file_status": 123
}Brand Resolution
Resolve brand
Resolve a domain to its canonical brand identity. Follows brand.json redirects and returns the resolved brand with its house, architecture type, and optional manifest.
GET
/
api
/
brands
/
resolve
Resolve brand
Query Parameters
Example:
"acmecorp.com"
Available options:
true, false Response
Brand resolved successfully
Example:
"acmecorp.com"
Example:
"acmecorp.com"
Example:
"Acme Corp"
Available options:
brand_json, community, enriched Show child attributes
Show child attributes
Available options:
master, sub_brand, endorsed, independent Show child attributes
Show child attributes
Was this page helpful?
⌘I